/******************************************************************************
*
*    File Name:  clock.v
*      Version:  1.0
*         Date:  June 26, 2000
*  Description:  Clock management module
* Dependencies:  none
*
*      Company:  Xilinx
*
*
*   Disclaimer:  THESE DESIGNS ARE PROVIDED "AS IS" WITH NO WARRANTY 
*                WHATSOEVER.
*
*                Copyright (c) 2000 Xilinx, Inc.
*                All rights reserved
*
******************************************************************************/

module clock (clkin, clk2x, rst, clk, lock, phs_l, clk2xcam) ;

input 	clkin;
input 	rst;
output 	clk2x; 
output	clk; 
output	lock;
output	phs_l; 
output	clk2xcam;


wire clk2xi, clk1xi, clk, clk2xfbi;

   
// instantiation of DLL for creation of clk2x and deskew of clk

CLKDLL dll1(.CLKIN(clkin), .CLK0(clk1xi), .CLKFB(clk), .RST(rst), .CLK2X(clk2xi), .LOCKED(lock),.CLK270(phs_l));

BUFG clk1xbuf(.I(clk1xi), .O(clk));
BUFG clk2xbuf(.I(clk2xi), .O(clk2x));

CLKDLL dll2(.CLKIN(clk2x), .CLK90(clk2xcam), .CLK2X(clk2xfbi), .CLKFB(clk2xfbi), .RST(rst));

endmodule 




